Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518654 - We should not return default role in user API
Summary: We should not return default role in user API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Sanket Jagtap
URL:
Whiteboard:
: 1518633 1518634 1518653 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 12:15 UTC by Marek Hulan
Modified: 2019-04-01 20:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:46:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21805 None None None 2017-11-29 12:15:05 UTC

Description Marek Hulan 2017-11-29 12:15:02 UTC

Comment 1 Marek Hulan 2017-11-29 12:15:08 UTC
Created from redmine issue http://projects.theforeman.org/issues/21805

Comment 2 Marek Hulan 2017-11-29 12:15:12 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 pm-sat@redhat.com 2017-11-29 13:12:39 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 6 pm-sat@redhat.com 2017-11-29 13:12:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21805 has been resolved.

Comment 7 Brad Buckingham 2017-12-07 20:35:57 UTC
*** Bug 1518634 has been marked as a duplicate of this bug. ***

Comment 8 Brad Buckingham 2017-12-07 20:36:26 UTC
*** Bug 1518633 has been marked as a duplicate of this bug. ***

Comment 9 Brad Buckingham 2017-12-07 20:36:46 UTC
*** Bug 1518653 has been marked as a duplicate of this bug. ***

Comment 12 Sanket Jagtap 2017-12-11 16:35:19 UTC
Build: Satellite 6.3.0 snap28

[root@qe-capsule-feature-rhel6 ~]# hammer user info --id 4
Id:                    4
Login:                 QHGvzg
Name:                  U8D5zhdpy8 aWPKjX4Xdu
Email:                 ÑùøÚõÇêþíÞ@somemail.com
Admin:                 no
Last login:            
Authorized by:         Internal
Effective admin:       no
Locale:                default
Timezone:              default
Description:           
Default organization:  
Default location:      
Roles:                 

User groups:           

Inherited User groups: 

Created at:            2017/12/07 10:25:01
Updated at:            2017/12/07 10:25:01

API:
curl -u admin:changeme -X GET https://sat-host/api/users/4
{"firstname":"U8D5zhdpy8","lastname":"aWPKjX4Xdu","mail":"ÑùøÚõÇêþíÞ@somemail.com","admin":false,"auth_source_id":1,"auth_source_name":"Internal","timezone":null,"locale":null,"last_login_on":null,"created_at":"2017-12-07 10:25:01 UTC","updated_at":"2017-12-07 10:25:01 UTC","id":4,"login":"QHGvzg","description":null,"ssh_keys":[],"default_location":null,"locations":[],"default_organization":null,"organizations":[],"effective_admin":false,"cached_usergroups":[],"auth_source_internal":{"id":1,"type":"AuthSourceInternal","name":"Internal"},"mail_notifications":[],"roles":[],"usergroups":[]}

Comment 13 Bryan Kearney 2018-02-21 16:42:28 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 14 Bryan Kearney 2018-02-21 16:46:33 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.